<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>NodeModel (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="NodeModel (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/NodeModel.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/tree/NodeMatcher.html" title="interface in org.apache.commons.configuration2.tree"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/configuration2/tree/NodeModelSupport.html" title="interface in org.apache.commons.configuration2.tree"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/tree/NodeModel.html" target="_top">Frames</a></li>
<li><a href="NodeModel.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.configuration2.tree</div>
<h2 title="Interface NodeModel" class="title">Interface NodeModel&lt;T&gt;</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt><span class="paramLabel">Type Parameters:</span></dt>
<dd><code>T</code> - the type of the nodes managed by this model</dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../org/apache/commons/configuration2/tree/InMemoryNodeModel.html" title="class in org.apache.commons.configuration2.tree">InMemoryNodeModel</a>, <a href="../../../../../org/apache/commons/configuration2/tree/TrackedNodeModel.html" title="class in org.apache.commons.configuration2.tree">TrackedNodeModel</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">NodeModel&lt;T&gt;</span></pre>
<div class="block"><p>
 Definition of an interface describing a model based on a nodes structure.
 </p>
 <p>
 This interface can be used for dealing with hierarchical, tree-like data. It
 defines basic operations for manipulating the tree structure which use keys
 to select the nodes affected.
 </p>
 <p>
 The idea behind this interface is that concrete implementations can be used
 by hierarchical configurations. This makes it possible to integrate various
 hierarchical structures with the API of a hierarchical configuration, e.g.
 configuration nodes stored in memory, JNDI contexts, or other structures. The
 configuration object interacts with the underlying data structure via this
 interface. For more complex operations access to an <a href="../../../../../org/apache/commons/configuration2/tree/ExpressionEngine.html" title="interface in org.apache.commons.configuration2.tree"><code>ExpressionEngine</code></a>
 may be required in order to interpret the passed in keys. For these purposes
 a <a href="../../../../../org/apache/commons/configuration2/tree/NodeKeyResolver.html" title="interface in org.apache.commons.configuration2.tree"><code>NodeKeyResolver</code></a> has to be provided which knows how to deal with
 keys.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.0</dd>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>$Id: NodeModel.java 1624601 2014-09-12 18:04:36Z oheger $</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/NodeModel.html#addNodes-java.lang.String-java.util.Collection-org.apache.commons.configuration2.tree.NodeKeyResolver-">addNodes</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
        <a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;? extends <a href="../../../../../org/apache/commons/configuration2/tree/NodeModel.html" title="type parameter in NodeModel">T</a>&gt;&nbsp;nodes,
        <a href="../../../../../org/apache/commons/configuration2/tree/NodeKeyResolver.html" title="interface in org.apache.commons.configuration2.tree">NodeKeyResolver</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/NodeModel.html" title="type parameter in NodeModel">T</a>&gt;&nbsp;resolver)</code>
<div class="block">Adds a collection of new nodes to this model.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/NodeModel.html#addProperty-java.lang.String-java.lang.Iterable-org.apache.commons.configuration2.tree.NodeKeyResolver-">addProperty</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
           <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;?&gt;&nbsp;values,
           <a href="../../../../../org/apache/commons/configuration2/tree/NodeKeyResolver.html" title="interface in org.apache.commons.configuration2.tree">NodeKeyResolver</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/NodeModel.html" title="type parameter in NodeModel">T</a>&gt;&nbsp;resolver)</code>
<div class="block">Adds a new property to this node model consisting of an arbitrary number
 of values.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/NodeModel.html#clear-org.apache.commons.configuration2.tree.NodeKeyResolver-">clear</a></span>(<a href="../../../../../org/apache/commons/configuration2/tree/NodeKeyResolver.html" title="interface in org.apache.commons.configuration2.tree">NodeKeyResolver</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/NodeModel.html" title="type parameter in NodeModel">T</a>&gt;&nbsp;resolver)</code>
<div class="block">Removes all data from this model.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/NodeModel.html#clearProperty-java.lang.String-org.apache.commons.configuration2.tree.NodeKeyResolver-">clearProperty</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
             <a href="../../../../../org/apache/commons/configuration2/tree/NodeKeyResolver.html" title="interface in org.apache.commons.configuration2.tree">NodeKeyResolver</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/NodeModel.html" title="type parameter in NodeModel">T</a>&gt;&nbsp;resolver)</code>
<div class="block">Clears the value of a property.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/NodeModel.html#clearTree-java.lang.String-org.apache.commons.configuration2.tree.NodeKeyResolver-">clearTree</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
         <a href="../../../../../org/apache/commons/configuration2/tree/NodeKeyResolver.html" title="interface in org.apache.commons.configuration2.tree">NodeKeyResolver</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/NodeModel.html" title="type parameter in NodeModel">T</a>&gt;&nbsp;resolver)</code>
<div class="block">Removes the sub trees defined by the given key from this model.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/NodeModel.html#getInMemoryRepresentation--">getInMemoryRepresentation</a></span>()</code>
<div class="block">Returns a representation of the data stored in this model in form of a
 nodes hierarchy of <code>ImmutableNode</code> objects.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="interface in org.apache.commons.configuration2.tree">NodeHandler</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/NodeModel.html" title="type parameter in NodeModel">T</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/NodeModel.html#getNodeHandler--">getNodeHandler</a></span>()</code>
<div class="block">Returns a <code>NodeHandler</code> for dealing with the nodes managed by this
 model.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/NodeModel.html#setProperty-java.lang.String-java.lang.Object-org.apache.commons.configuration2.tree.NodeKeyResolver-">setProperty</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
           <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;value,
           <a href="../../../../../org/apache/commons/configuration2/tree/NodeKeyResolver.html" title="interface in org.apache.commons.configuration2.tree">NodeKeyResolver</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/NodeModel.html" title="type parameter in NodeModel">T</a>&gt;&nbsp;resolver)</code>
<div class="block">Changes the value of a property.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/NodeModel.html#setRootNode-T-">setRootNode</a></span>(<a href="../../../../../org/apache/commons/configuration2/tree/NodeModel.html" title="type parameter in NodeModel">T</a>&nbsp;newRoot)</code>
<div class="block">Sets a new root node for this model.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setRootNode-java.lang.Object-">
<!--   -->
</a><a name="setRootNode-T-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRootNode</h4>
<pre>void&nbsp;setRootNode(<a href="../../../../../org/apache/commons/configuration2/tree/NodeModel.html" title="type parameter in NodeModel">T</a>&nbsp;newRoot)</pre>
<div class="block">Sets a new root node for this model. The whole structure is replaced by
 the new node and its children.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newRoot</code> - the new root node to be set (can be <b>null</b>, then an
        empty root node is set)</dd>
</dl>
</li>
</ul>
<a name="getNodeHandler--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNodeHandler</h4>
<pre><a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="interface in org.apache.commons.configuration2.tree">NodeHandler</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/NodeModel.html" title="type parameter in NodeModel">T</a>&gt;&nbsp;getNodeHandler()</pre>
<div class="block">Returns a <code>NodeHandler</code> for dealing with the nodes managed by this
 model.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the <code>NodeHandler</code></dd>
</dl>
</li>
</ul>
<a name="addProperty-java.lang.String-java.lang.Iterable-org.apache.commons.configuration2.tree.NodeKeyResolver-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addProperty</h4>
<pre>void&nbsp;addProperty(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
                 <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;?&gt;&nbsp;values,
                 <a href="../../../../../org/apache/commons/configuration2/tree/NodeKeyResolver.html" title="interface in org.apache.commons.configuration2.tree">NodeKeyResolver</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/NodeModel.html" title="type parameter in NodeModel">T</a>&gt;&nbsp;resolver)</pre>
<div class="block">Adds a new property to this node model consisting of an arbitrary number
 of values. The key for the add operation is provided. For each value a
 new node has to be added. The passed in resolver is queried for a
 <a href="../../../../../org/apache/commons/configuration2/tree/NodeAddData.html" title="class in org.apache.commons.configuration2.tree"><code>NodeAddData</code></a> object defining the add operation to be performed.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the key</dd>
<dd><code>values</code> - the values to be added at the position defined by the key</dd>
<dd><code>resolver</code> - the <code>NodeKeyResolver</code></dd>
</dl>
</li>
</ul>
<a name="addNodes-java.lang.String-java.util.Collection-org.apache.commons.configuration2.tree.NodeKeyResolver-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addNodes</h4>
<pre>void&nbsp;addNodes(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
              <a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;? extends <a href="../../../../../org/apache/commons/configuration2/tree/NodeModel.html" title="type parameter in NodeModel">T</a>&gt;&nbsp;nodes,
              <a href="../../../../../org/apache/commons/configuration2/tree/NodeKeyResolver.html" title="interface in org.apache.commons.configuration2.tree">NodeKeyResolver</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/NodeModel.html" title="type parameter in NodeModel">T</a>&gt;&nbsp;resolver)</pre>
<div class="block">Adds a collection of new nodes to this model. This operation corresponds
 to the <code>addNodes()</code> method of the <code>HierarchicalConfiguration</code>
 interface. The new nodes are either added to an existing node (if the
 passed in key selects exactly one node) or to a newly created node. The
 passed in <code>NodeKeyResolver</code> is used to interpret the given key.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the key</dd>
<dd><code>nodes</code> - the collection of nodes to be added (may be <b>null</b>)</dd>
<dd><code>resolver</code> - the <code>NodeKeyResolver</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/IllegalArgumentException.html?is-external=true" title="class or interface in java.lang">IllegalArgumentException</a></code> - if the key references an attribute (of
         course, it is not possible to add something to an attribute)</dd>
</dl>
</li>
</ul>
<a name="setProperty-java.lang.String-java.lang.Object-org.apache.commons.configuration2.tree.NodeKeyResolver-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setProperty</h4>
<pre>void&nbsp;setProperty(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
                 <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;value,
                 <a href="../../../../../org/apache/commons/configuration2/tree/NodeKeyResolver.html" title="interface in org.apache.commons.configuration2.tree">NodeKeyResolver</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/NodeModel.html" title="type parameter in NodeModel">T</a>&gt;&nbsp;resolver)</pre>
<div class="block">Changes the value of a property. This is a more complex operation as it
 might involve adding, updating, or deleting nodes and attributes from the
 model. The object representing the new value is passed to the
 <code>NodeKeyResolver</code> which will produce a corresponding
 <a href="../../../../../org/apache/commons/configuration2/tree/NodeUpdateData.html" title="class in org.apache.commons.configuration2.tree"><code>NodeUpdateData</code></a> object. Based on the content of this object,
 update operations are performed.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the key</dd>
<dd><code>value</code> - the new value for this property (to be evaluated by the
        <code>NodeKeyResolver</code>)</dd>
<dd><code>resolver</code> - the <code>NodeKeyResolver</code></dd>
</dl>
</li>
</ul>
<a name="clearTree-java.lang.String-org.apache.commons.configuration2.tree.NodeKeyResolver-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clearTree</h4>
<pre><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;clearTree(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
                 <a href="../../../../../org/apache/commons/configuration2/tree/NodeKeyResolver.html" title="interface in org.apache.commons.configuration2.tree">NodeKeyResolver</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/NodeModel.html" title="type parameter in NodeModel">T</a>&gt;&nbsp;resolver)</pre>
<div class="block">Removes the sub trees defined by the given key from this model. All nodes
 selected by this key are retrieved from the specified
 <code>NodeKeyResolver</code> and removed from the model.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the key selecting the properties to be removed</dd>
<dd><code>resolver</code> - the <code>NodeKeyResolver</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an object with information about the data removed</dd>
</dl>
</li>
</ul>
<a name="clearProperty-java.lang.String-org.apache.commons.configuration2.tree.NodeKeyResolver-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clearProperty</h4>
<pre>void&nbsp;clearProperty(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
                   <a href="../../../../../org/apache/commons/configuration2/tree/NodeKeyResolver.html" title="interface in org.apache.commons.configuration2.tree">NodeKeyResolver</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/NodeModel.html" title="type parameter in NodeModel">T</a>&gt;&nbsp;resolver)</pre>
<div class="block">Clears the value of a property. This method is similar to
 <a href="../../../../../org/apache/commons/configuration2/tree/NodeModel.html#clearTree-java.lang.String-org.apache.commons.configuration2.tree.NodeKeyResolver-"><code>clearTree(String, NodeKeyResolver)</code></a>: However, the nodes
 referenced by the passed in key are not removed completely, but only
 their value is set to <b>null</b>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the key selecting the properties to be cleared</dd>
<dd><code>resolver</code> - the <code>NodeKeyResolver</code></dd>
</dl>
</li>
</ul>
<a name="clear-org.apache.commons.configuration2.tree.NodeKeyResolver-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clear</h4>
<pre>void&nbsp;clear(<a href="../../../../../org/apache/commons/configuration2/tree/NodeKeyResolver.html" title="interface in org.apache.commons.configuration2.tree">NodeKeyResolver</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/NodeModel.html" title="type parameter in NodeModel">T</a>&gt;&nbsp;resolver)</pre>
<div class="block">Removes all data from this model.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>resolver</code> - the <code>NodeKeyResolver</code></dd>
</dl>
</li>
</ul>
<a name="getInMemoryRepresentation--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getInMemoryRepresentation</h4>
<pre><a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&nbsp;getInMemoryRepresentation()</pre>
<div class="block">Returns a representation of the data stored in this model in form of a
 nodes hierarchy of <code>ImmutableNode</code> objects. A concrete model
 implementation can use an arbitrary means to store its data. When a
 model's data is to be used together with other functionality of the
 <em>Configuration</em> library (e.g. when combining multiple
 configuration sources) it has to be transformed into a common format.
 This is done by this method. <code>ImmutableNode</code> is a generic
 representation of a hierarchical structure. Thus, it should be possible
 to generate a corresponding structure from arbitrary model data.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the root node of an in-memory hierarchy representing the data
         stored in this model</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/NodeModel.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/tree/NodeMatcher.html" title="interface in org.apache.commons.configuration2.tree"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/configuration2/tree/NodeModelSupport.html" title="interface in org.apache.commons.configuration2.tree"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/tree/NodeModel.html" target="_top">Frames</a></li>
<li><a href="NodeModel.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
